Bug 6513 - Не обновляется /var/resolv/etc/resolv.conf после adsl-start
: Не обновляется /var/resolv/etc/resolv.conf после adsl-start
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rp-pppoe-client)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-13 19:37 by
Modified: 2005-06-25 16:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-13 19:37:25
Имеется компьютер, получающий при загрузке сетевый настройки по DHCP от
ADSL-модема. После инициализации сети файлы /etc/resolv.conv и
/var/resolv/etc/resolv.conv содержат адреса ADSL-модема в качестве nameserver.
Далее при помощи adsl-start устанавливается туннель с провайдером, после чего в
файле /etc/resolv.conf оказываются адреса DNS провайдера, а
/var/resolv/etc/resolv.conv содержит по-прежнему адрес модема в качестве
nameserver.

Необходимо обновлять содержимое /var/resolv/etc/resolv.conf после старта
туннеля.
------- Comment #1 From 2005-05-02 12:15:24 -------
fixed in rp-pppoe-3.5-alt15
------- Comment #2 From 2005-05-22 16:42:39 -------
Бага нуждается в дополнительном исправлении.
Если адреса DNS получаются с сервера (установлена опция DNSTYPE=SERVER), то
обновления /var/resolv/etc/reslov.conf не происходит. Это видно из фрагмента
файла  /usr/sbin/adsl-connect, в котором производится обновление resolv.conf

###########################################

# Jigger DNS if required...
if test "$DNSTYPE" = "SERVER" ; then
    # Sorry, dude...
    rm -f /etc/resolv.conf
    ln -s /etc/ppp/resolv.conf /etc/resolv.conf
elif test "$DNSTYPE" = "SPECIFY" ; then
    # Sorry, dude...
    rm -f /etc/resolv.conf
    echo "nameserver $DNS1" > /etc/resolv.conf
    if test -n "$DNS2" ; then
        echo "nameserver $DNS2" >> /etc/resolv.conf
    fi
    $CHRUPDATE
fi

######################################

Команда $CHRUPDATE выполняется только в случае установки DNSTYPE=SPECIFY, но не
в случае DNSTYPE=SERVER
------- Comment #3 From 2005-06-03 11:12:23 -------
fixed in 3.5-alt16